<?php 
$form_name = "";
$table_name = "custom_participant_registration";
$primary_key = "reg_id";

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";

include_once("includes/config.php");
include_once("includes/common_functions.php");

$common = new General_Functions();
$css_class = "x-gray";
// $common->SetCssClass($css_class);

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
$act_type = isset($_REQUEST['act_type']) ? $_REQUEST['act_type'] : "";
$cancel_link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
$action = $_SERVER['SCRIPT_NAME']."?page=".$_REQUEST['page']."&mode=submit";

switch($mode)
{
	default:
		$query = "SELECT *, CASE WHEN ".$table_name.".status = 'Y' THEN 'Active' ELSE 'Inactive' END as status 
						FROM ".$table_name."
					LEFT JOIN custom_coupon_master ON (custom_coupon_master.coupn_reg_id = ".$table_name.".reg_id)
					LEFT JOIN custom_location ON (custom_location.loc_code = ".$table_name.".reg_location)
					LEFT JOIN custom_survey_master ON (custom_survey_master.sur_id = ".$table_name.".reg_survey_id)
				  GROUP BY reg_id";

		$query = "SELECT *, CASE WHEN ".$table_name.".status = 'Y' THEN 'Active' ELSE 'Inactive' END as status 
						FROM ".$table_name."
					LEFT JOIN custom_coupon_master ON (custom_coupon_master.coupn_reg_id = ".$table_name.".reg_id)
					LEFT JOIN custom_location ON (custom_location.loc_code = ".$table_name.".reg_location)
					LEFT JOIN custom_survey_master ON (custom_survey_master.sur_id = ".$table_name.".reg_survey_id)";

		$query = "SELECT *, CASE WHEN ".$table_name.".status = 'Y' THEN 'Active' ELSE 'Inactive' END as status 
						FROM ".$table_name."
					INNER JOIN custom_locator_information 
						ON (custom_locator_information.loctr_reg_id = ".$table_name.".reg_participant_id
						AND custom_locator_information.loctr_survey_id = ".$table_name.".reg_survey_id)
					INNER JOIN custom_location ON (custom_location.loc_code = ".$table_name.".reg_location)
					INNER JOIN custom_survey_master ON (custom_survey_master.sur_code = ".$table_name.".reg_survey_id)";
		$common->sql->query($query, SQL_ALL, SQL_ASSOC);
		$rec = $common->sql->record;
		?>
		<link rel="stylesheet" href="includes/media/css/demo_page.css" type="text/css" />
		<link rel="stylesheet" href="includes/media/css/demo_table.css" type="text/css" />
		<script type="text/javascript" language="javascript" src="includes/media/js/jquery.js"></script>
		<script type="text/javascript" language="javascript" src="includes/media/js/jquery.dataTables.js"></script>
		<script type="text/javascript" charset="utf-8">
			var asInitVals = new Array();
			
			$(document).ready(function() {
				var oTable = $('#example').dataTable( {
					"bJQueryUI": true,
					"sPaginationType": "full_numbers",
				} );
				
				$("thead input").keyup( function () {
					oTable.fnFilter( this.value, $("thead input").index(this) );
				} );
				
				$("thead input").each( function (i) {
					asInitVals[i] = this.value;
				} );
				
				$("thead input").focus( function () {
					if ( this.className == "search_init" )
					{
						this.className = "";
						this.value = "";
					}
				} );
				
				$("thead input").blur( function (i) {
					if ( this.value == "" )
					{
						this.className = "search_init";
						this.value = asInitVals[$("thead input").index(this)];
					}
				} );
				
				$(".fg-toolbar").height(40);
				$(".dataTables_length").hide();
				$(".dataTables_filter").hide();
				$("#example_info").hide();
				
				$('#example tbody tr').live('click', function () {
					var frmval = new Array();
					var nTds = $('td', this);
					var row = $(nTds[0]).text();
					
					j = row;
					loctr_id = '#loctr_id_'+j;
					reg_id = '#reg_id_'+j;
					
					frmval["loctr_id"] = $(loctr_id).val();
					frmval["reg_id"] = $(reg_id).val();
                                        
					parent.frm_edit_val(frmval["loctr_id"]);
				});
			} );
		</script>
        <br /><br />
        <div id="demo" style="width: 95%; margin: 0 auto;">
            <form name="view" method="post">
                <table cellpadding="0" cellspacing="0" border="0" class="display" id="example" width="100%">
                    <thead>
                        <tr>
                            <th style="display: none;">&nbsp;</th>
                            <th>Participant ID</th>
                            <th>Participant Type</th>
                            <th>Location</th>
                            <th>Survey</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $part_id = "";
                            
                            for($i=0; $i<count($rec); $i++)
                            {
                                if($rec[$i]['reg_participant_type'] == 'S')
									$type = 'Seed';
                                else
									$type = 'Recruit';
                                
                                echo '<tr>
                                        <td style="display: none;">'.$i.'</td>
                                        <td>
                                            '.$rec[$i]['reg_participant_id'].'
                                            <input type="hidden" name="loctr_id" id="loctr_id_'.$i.'" value="'.$rec[$i]['loctr_id'].'" />
                                            <input type="hidden" name="reg_id" id="reg_id_'.$i.'" value="'.$rec[$i]['loctr_reg_id'].'" />
                                        </td>
                                        <td>'.$type.'</td>
                                        <td>'.$rec[$i]['loc_name'].'</td>
                                        <td>'.$rec[$i]['sur_title'].'</td>
                                    </tr>';
                            }
                        ?>
                    </tbody>
                    <thead>
                        <tr>
                            <th style="display: none;"><input type="text" name="search_engine" value="Search Particiapnt ID" class="search_init" /></th>
                            <th><input type="text" name="search_engine" value="Search Particiapnt ID" class="search_init" /></th>
                            <th><input type="text" name="search_browser" value="Search Particiapnt Type" class="search_init" /></th>
                            <th><input type="text" name="search_platform" value="Search Location" class="search_init" /></th>
                            <th><input type="text" name="search_version" value="Search Survey" class="search_init" /></th>
                        </tr>
                    </thead>
                </table>
            </form>
        </div>
        <?php
	break;
}
?>